// Include this script in your custom component to implement the
// ICanvasGridComponent interface (see CanvasGridButton.mxml).

import mx.core.IInvalidating;

private var _gridX:int = 0;

[Bindable("gridXChanged")]
public function get gridX():int
{
	return _gridX;
}
public function set gridX(value:int):void
{
	if (_gridX != value)
	{
		_gridX = value;

		if (parent is IInvalidating)
		{
			IInvalidating(parent).invalidateSize();
			IInvalidating(parent).invalidateDisplayList();
		}

		dispatchEvent(new Event("gridXChanged"));
	}
}

private var _gridY:int = 0;

[Bindable("gridYChanged")]
public function get gridY():int
{
	return _gridY;
}
public function set gridY(value:int):void
{
	if (_gridY != value)
	{
		_gridY = value;

		if (parent is IInvalidating)
		{
			IInvalidating(parent).invalidateSize();
			IInvalidating(parent).invalidateDisplayList();
		}

		dispatchEvent(new Event("gridYChanged"));
	}
}

private var _gridWidth:int = 1;

[Bindable("gridWidthChanged")]
public function get gridWidth():int
{
	return _gridWidth;
}
public function set gridWidth(value:int):void
{
	if (_gridWidth != value)
	{
		_gridWidth = value;

		if (parent is IInvalidating)
		{
			IInvalidating(parent).invalidateSize();
			IInvalidating(parent).invalidateDisplayList();
		}

		dispatchEvent(new Event("gridWidthChanged"));
	}
}

private var _gridHeight:int = 1;

[Bindable("gridHeightChanged")]
public function get gridHeight():int
{
	return _gridHeight;
}
public function set gridHeight(value:int):void
{
	if (_gridHeight != value)
	{
		_gridHeight = value;

		if (parent is IInvalidating)
		{
			IInvalidating(parent).invalidateSize();
			IInvalidating(parent).invalidateDisplayList();
		}

		dispatchEvent(new Event("gridHeightChanged"));
	}
}

